Bug 1099106 - YaST HTTP Server wants to install apache2-mod_php5 which no longer exists
YaST HTTP Server wants to install apache2-mod_php5 which no longer exists
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: YaST2
Leap 15.0
Other Other
: P4 - Low : Normal (vote)
: ---
Assigned To: Ladislav Slezák
Jiri Srain
https://trello.com/c/K98OdRgo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-26 06:55 UTC by David Chewning
Modified: 2018-10-05 19:24 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
YaST logs (742.15 KB, application/x-compressed-tar)
2018-06-26 14:28 UTC, David Chewning
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Chewning 2018-06-26 06:55:20 UTC
Configuring apache2 with PHP7 installed YaST instead prompts for enabling PHP 5. Even though PHP 5 does not seem to be supported anymore (it is not listed in the repositories) YaST informs you it needs to install mod_php5 (which it cannot do).

The configuration seems to still go OK, although I'm not sure it makes it through all the steps other than the php7 module has to be added afterwards by going back into YaST.
Comment 1 Stefan Hundhammer 2018-06-26 11:48:03 UTC
Please elaborate in a bit more detail what you did, and also please attach y2logs.

See also

  https://en.opensuse.org/openSUSE:Report_a_YaST_bug#Attachments_-_y2logs.2C_hwinfo_etc.
Comment 2 David Chewning 2018-06-26 14:14:04 UTC
This is easily repeatable. I repeated it twice.

Steps:

Installed a default Leap 15 server install inside a kvm
2. Upgraded/patched everything with default repositories
3. Started YaST (obviously in ncurses since no GUI in case that makes a difference)
4. Selected Software->Software manager
5. Installed apache2, apache2-mod_php7, and yast2-http-server
6. Quit YaST
7. Restarted YaST
8. Selected Network Services->HTTP Server
9. This gets you into the simple server: selected start service at boot, open firewall port
10. Clicked next and at that point I generally just click next until the screen where you are asked what scripting languages you want to enable.
11. Options were PHP 5, Pearl, and Python.
12. I selected PHP 5 (which isn't even on the distribution, but I hoped it was a typo)
13. A window popped up in ncurses saying the system needed to install mod_php5.
14. I clicked OK and it ran a little while and I assume barfed since the service was not started and the firewall port was not open.
15. I went back into YaST and ran Network Services->HTTP Server
16. This put me in the expert interface. I selected start the server at boot, open the firewall port, and added the PHP7 module.
17. I tested the web server with an index.html and index.php file and everything functions.

I will work on trying to collect the logs.
Comment 3 David Chewning 2018-06-26 14:28:21 UTC
Created attachment 775319 [details]
YaST logs

save_y2logs y2logs.tgz

Let me know if you need more information.
Comment 4 Stefan Hundhammer 2018-06-27 10:14:13 UTC
David, thanks for the description what you did; this is really helpful.
Comment 5 Stefan Hundhammer 2018-06-27 12:26:41 UTC
Code location for the packages:

  https://github.com/yast/yast-http-server/blob/master/src/modules/YaPI/HTTPDModules.pm#L709

(plus the places in the UI referencing them)

It looks like not only the PHP part of this is hopelessly outdated, also the python part.

We seem to have

  - apache2-mod_perl
  - apache2-mod_php7
  - apache2-mod_python3
Comment 6 Stefan Hundhammer 2018-06-27 12:31:37 UTC
A complete refactoring of this YaST module seems to be out of scope right now, but it should be realistic to at least adapt those package names in that list and the user-visible references to those Apache2 modules in the UI.
Comment 7 Stefan Hundhammer 2018-06-27 12:36:12 UTC
(In reply to Stefan Hundhammer from comment #5)
>   - apache2-mod_python3

Actually,

    - apache2-mod_wsgi-python3
Comment 8 David Chewning 2018-06-27 12:44:56 UTC
Stefan Hundhammer,

Thank you for the link to the github repository. I will know where to look next time.
Comment 9 Stefan Hundhammer 2018-06-28 09:18:23 UTC
(In reply to David Chewning from comment #8)
> Thank you for the link to the github repository. I will know where to look
> next time.

This was in no way meant as a subtle hint that you should look for a fix, just as a starting point for whoever from our team will start working on this bug.

Just to clarify. ;-)
Comment 10 David Chewning 2018-06-28 09:23:52 UTC
(In reply to Stefan Hundhammer from comment #9)
> (In reply to David Chewning from comment #8)
> > Thank you for the link to the github repository. I will know where to look
> > next time.
> 
> This was in no way meant as a subtle hint that you should look for a fix,
> just as a starting point for whoever from our team will start working on
> this bug.
> 
> Just to clarify. ;-)

HAHA...I didn't take it that way. However, I do need to start looking at the code.
Comment 11 Ladislav Slezák 2018-08-03 12:19:03 UTC
WIP: https://github.com/yast/yast-http-server/pull/31
Comment 12 Ladislav Slezák 2018-08-27 09:12:31 UTC
Fixed in yast2-http-server-4.0.2 (https://github.com/yast/yast-http-server/pull/31)

SR: https://build.suse.de/request/show/170989
Comment 13 Swamp Workflow Management 2018-10-04 19:08:52 UTC
SUSE-RU-2018:3007-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1099106
CVE References: 
Sources used:
SUSE Linux Enterprise Module for Basesystem 15 (src):    yast2-http-server-4.0.2-3.3.1
Comment 14 Swamp Workflow Management 2018-10-05 19:24:06 UTC
openSUSE-RU-2018:3050-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1099106
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    yast2-http-server-4.0.2-lp150.2.3.1